# https://github.com/goccy/go-graphviz
%global goipath         github.com/goccy/go-graphviz

Version:        0.1.2

%gometa

%global common_description %{expand:
Go bindings for Graphviz.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go bindings for Graphviz

# Upstream license specification: MIT
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/corona10/goimagehash)
BuildRequires:  golang(github.com/fogleman/gg)
BuildRequires:  golang(github.com/golang/freetype)
BuildRequires:  golang(github.com/jessevdk/go-flags)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang-ipath(golang.org/x/crypto)
BuildRequires:  golang-ipath(golang.org/x/image)

%description
%{common_description}

%godevelpkg

%prep
%goprep

%install
%godevelinstall

cp -pr internal %{buildroot}%{_datadir}/gocode/src/%{goipath}

%gopkgfiles
%{_datadir}/gocode/src/%{goipath}/internal

%changelog
